curl --request POST \
--url https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupIds": [
"group-engineering"
]
}
'import requests
url = "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove"
payload = { "groupIds": ["group-engineering"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupIds: ['group-engineering']})
};
fetch('https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'groupIds' => [
'group-engineering'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove"
payload := strings.NewReader("{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "<string>",
"requestId": "<string>"
}
}Remove employee groups from a category
Removes the selected category from 1–200 groups of any type. Other categories and employee memberships are unchanged. Requires permission to edit every supplied group; permission to manage categories is not required. Repeated IDs are used once, and missing assignments are ignored. The category itself does not need to exist.
curl --request POST \
--url https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupIds": [
"group-engineering"
]
}
'import requests
url = "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove"
payload = { "groupIds": ["group-engineering"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupIds: ['group-engineering']})
};
fetch('https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'groupIds' => [
'group-engineering'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove"
payload := strings.NewReader("{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gowindmill.com/api/v2/c/{companyId}/groups/categories/{categoryId}/groups/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupIds\": [\n \"group-engineering\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
Use an API key or OAuth access token. Enter only the token in the authorization dialog; requests send it as Authorization: Bearer <TOKEN>.
Create an API key in your workspace's Settings → API keys. Keys start with wm_api_ and only work in the workspace where they were created. Read-only keys can read data; creating, updating, or deleting data requires a read-write key.
Authorization: Bearer wm_api_example
OAuth access tokens are issued for connected Windmill applications.
Authorization: Bearer <OAUTH_ACCESS_TOKEN>
Both token types use the authenticated user's workspace permissions. Each endpoint's permission requirements and the sharing settings of the requested items still apply.
Path Parameters
Body
Was this page helpful?